Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class X509CRLEntry

    java.lang.Object
      |
      +--java.security.cert.X509CRLEntry

All Implemented Interfaces:
  X509Extension

public abstract class X509CRLEntry
extends Object
implements X509Extension

Abstract class for a revoked certificate in a CRL (Certificate Revocation List). The ASN.1 definition for revokedCertificates is:

     revokedCertificates    SEQUENCE OF SEQUENCE  {
         userCertificate    CertificateSerialNumber,
         revocationDate     ChoiceOfTime,
         crlEntryExtensions Extensions OPTIONAL
                            -- if present, must be v2
     }  OPTIONAL

     CertificateSerialNumber  ::=  INTEGER

     Extensions  ::=  SEQUENCE SIZE (1..MAX) OF Extension

     Extension  ::=  SEQUENCE  {
         extnId        OBJECT IDENTIFIER,
         critical      BOOLEAN DEFAULT FALSE,
         extnValue     OCTET STRING
                       -- contains a DER encoding of a value
                       -- of the type registered for use with
                       -- the extnId object identifier value
     }

See Also:
  `X509CRL`, `X509Extension`

Constructor Summary
`X509CRLEntry()`

Method Summary
`boolean` | `equals(Object other)` Compares this CRL entry for equality with the given object.
`abstract byte[]` | `getEncoded()` Returns the ASN.1 DER-encoded form of this CRL Entry, that is the inner SEQUENCE.
`abstract Date` | `getRevocationDate()` Gets the revocation date from this X509CRLEntry, the revocationDate.
`abstract BigInteger` | `getSerialNumber()` Gets the serial number from this X509CRLEntry, the userCertificate.
`abstract boolean` | `hasExtensions()` Returns true if this CRL entry has extensions.
`int` | `hashCode()` Returns a hashcode value for this CRL entry from its encoded form.
`abstract String` | `toString()` Returns a string representation of this CRL entry.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.cert.X509Extension
`getCriticalExtensionOIDs, getExtensionValue, getNonCriticalExtensionOIDs, hasUnsupportedCriticalExtension`

Constructor Detail

### X509CRLEntry

    public X509CRLEntry()

Method Detail

### equals

    public boolean equals(Object other)

  Compares this CRL entry for equality with the given object. If the `other` object is an `instanceof` `X509CRLEntry`, then its encoded form (the inner SEQUENCE) is retrieved and compared with the encoded form of this CRL entry.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - the object to test for equality with this CRL entry.
  Returns:
    true iff the encoded forms of the two CRL entries match, false otherwise.

### hashCode

    public int hashCode()

  Returns a hashcode value for this CRL entry from its encoded form.
  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode value.

### getEncoded

    public abstract byte[] getEncoded()
                               throws CRLException

  Returns the ASN.1 DER-encoded form of this CRL Entry, that is the inner SEQUENCE.
  Returns:
    the encoded form of this certificate
  Throws:
    `CRLException` - if an encoding error occurs.

### getSerialNumber

    public abstract BigInteger getSerialNumber()

  Gets the serial number from this X509CRLEntry, the userCertificate.
  Returns:
    the serial number.

### getRevocationDate

    public abstract Date getRevocationDate()

  Gets the revocation date from this X509CRLEntry, the revocationDate.
  Returns:
    the revocation date.

### hasExtensions

    public abstract boolean hasExtensions()

  Returns true if this CRL entry has extensions.
  Returns:
    true if this entry has extensions, false otherwise.

### toString

    public abstract String toString()

  Returns a string representation of this CRL entry.
  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this CRL entry.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.